Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMElements

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMElements

All Implemented Interfaces:
  Cloneable

public class QMElements
extends QMCloneable

Models the elements element in QJML. The elements element is used to describe the elements contained by the element being defined by the bean element in which this elements element is contained.

    DTD:

    <!ELEMENT elements (item|selection|sequence)*>

    <!ATTLIST elements
        ID id #IMPLIED
    >

Field Summary
`ArrayList` | `contentList` A container for the QMContentModel objects (QMItem, QMSequence, and QMSelection) which model the contentModel elements (item, sequence, and selection) held by this elements element.

Constructor Summary
`QMElements()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap, QMCoin coin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`void` | `init(Map coinMap, Map contentMap, QMCoin coin)` Resolve references, inheritance.

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentList

    public ArrayList contentList

  A container for the QMContentModel objects (QMItem, QMSequence, and QMSelection) which model the contentModel elements (item, sequence, and selection) held by this elements element. The contentModel elements define the element content of the bean which contains this elements element.

Constructor Detail

### QMElements

    public QMElements()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QMCloneable`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QMCoin coin)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.

### init

    public void init(Map coinMap,
                     Map contentMap,
                     QMCoin coin)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD